cog-commit(1)

NAME
cog-commit - Create a new conventional commit

SYNOPSIS
cog-commit [-B|--breaking-change] [-e|--edit] [-s|--sign] [--skip-ci] [--skip-ci-override] [-a|--add] [-u|--update] [-h|--help] <TYPE> <MESSAGE> [SCOPE]

DESCRIPTION
Create a new conventional commit

OPTIONS

-B, --breaking-change
    Create a BREAKING CHANGE commit

-e, --edit
    Open commit message in an editor

-s, --sign
    Sign this commit

--skip-ci
    Add the skip-ci string defined in the cog.toml (or defaults to [skip ci]) to the commit

--skip-ci-override=SKIP_CI_OVERRIDE
    Override and add the <SKIP_CI_OVERRIDE> string to the commit

-a, --add
    Add files to the commit (similar to git add .)

-u, --update
    Update but doesn't add files to the commit (similar to git add -u .)

-h, --help
    Print help

<TYPE>
    Conventional commit type
    [possible values: build, chore, ci, docs, feat, fix, perf, refactor, revert, style, test]

<MESSAGE>
    Commit description

[SCOPE]
    Conventional commit scope